MVP.Data.PC {rMVP} | R Documentation

## Principal component analysis

### Description

Principal component analysis

### Usage

    MVP.Data.PC(filePC = TRUE, mvp_prefix = "mvp", K = NULL,
      out = NULL, pcs.keep = 5, priority = "speed", sep = "\t",
      cpus = 1, verbose = TRUE)

### Arguments

`filePC` | Principal components, n*npc, n is sample size, npc is number of top columns of principal components
`mvp_prefix` | Prefix for mvp format files
`K` | Kinship matrix
`out` | prefix of output file name
`pcs.keep` | how many PCs to keep
`priority` | speed or memory
`sep` | seperator for PC file.
`cpus` | the number of cpu
`verbose` | whether to print detail.

### Value

Output file: <out>.pc.bin <out>.pc.desc

### Examples

    geno <- file.path(system.file("extdata", "06_mvp-impute", package = "rMVP"), "mvp.imp")

    MVP.Data.PC(TRUE, mvp_prefix=geno, out=file.path(tempdir(), "rMVP.test"))

[Package rMVP version 0.99.15 Index]